package drawables;

import java.awt.*;
import javax.swing.*;
import uk.ac.ic.doc.automed.editor.*;
import uk.ac.ic.doc.automed.reps.SchemaObject;
import uk.ac.ic.doc.automed.InconsistentException;

public class DrawERAttributeVertex extends DefaultDrawLinkNodalVertex {   
  public DrawERAttributeVertex(EditorPanel ep,Positionable schemaObject,
			       Positionable d[]) {
    super(ep,schemaObject,d);
    Object s[]=((SchemaObject)schemaObject).getSchemeDefinition();
    String card=s[2].toString();

    if ("null".equals(card))
      text+="?";

    if ("multi".equals(card))
      text+="*";   

    setText(text);
  }
}
